GNU bug report logs - #39706
28.0.50; Search prefix nroff-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Juri Linkov <juri@HIDDEN>; Keywords: patch; dated Fri, 21 Feb 2020 00:11:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 39706 <at> debbugs.gnu.org:


Received: (at 39706) by debbugs.gnu.org; 14 Mar 2020 12:31:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 14 08:31:02 2020
Received: from localhost ([127.0.0.1]:60714 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jD5wU-0005nT-7H
	for submit <at> debbugs.gnu.org; Sat, 14 Mar 2020 08:31:02 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56822)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1jD5wS-0005i3-V0
 for 39706 <at> debbugs.gnu.org; Sat, 14 Mar 2020 08:31:01 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1jD5wJ-0001kb-Og; Sat, 14 Mar 2020 13:30:54 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39706: 28.0.50; Search prefix nroff-mode
References: <87h7zkes1o.fsf@HIDDEN> <83sgj4js7w.fsf@HIDDEN>
 <87v9nykufh.fsf@HIDDEN> <837e0dib85.fsf@HIDDEN>
 <87zhd87vqh.fsf@HIDDEN> <83y2ssgdf6.fsf@HIDDEN>
 <8736azxzyz.fsf@HIDDEN> <83tv3fgr4g.fsf@HIDDEN>
Date: Sat, 14 Mar 2020 13:30:50 +0100
In-Reply-To: <83tv3fgr4g.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 25 Feb
 2020 07:42:07 +0200")
Message-ID: <87tv2ryv7p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> Not sure what to do
 with other remaining tasks in admin/release-process: >> >> 1. Gnus binds
 'M-s' to 'gnus-summary-search-article-forward'. [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39706
Cc: 39706 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Not sure what to do with other remaining tasks in admin/release-process:
>> 
>> 1. Gnus binds 'M-s' to 'gnus-summary-search-article-forward'.

[...]

> IMO, only Gnus is popular enough to worry about.  Lars, any
> suggestions?

If I recall correctly, `M-s' has had its meaning in the Gnus summary
buffers since the 80s, so changing it is probably going to annoy some
people.  On the other hand, it's not a very useful command...

Perhaps moving the command to...  say...  `M-s M-s' would make sense?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39706; Package emacs. Full text available.

Message received at 39706 <at> debbugs.gnu.org:


Received: (at 39706) by debbugs.gnu.org; 25 Feb 2020 05:42:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 25 00:42:15 2020
Received: from localhost ([127.0.0.1]:54349 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j6Sz1-0004cX-7z
	for submit <at> debbugs.gnu.org; Tue, 25 Feb 2020 00:42:15 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45361)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j6Syz-0004cM-Nm
 for 39706 <at> debbugs.gnu.org; Tue, 25 Feb 2020 00:42:14 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42256)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j6Syu-0006Vb-86; Tue, 25 Feb 2020 00:42:08 -0500
Received: from [176.228.60.248] (port=1163 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j6Syt-0006w7-Nm; Tue, 25 Feb 2020 00:42:08 -0500
Date: Tue, 25 Feb 2020 07:42:07 +0200
Message-Id: <83tv3fgr4g.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <8736azxzyz.fsf@HIDDEN> (message from Juri Linkov on
 Tue, 25 Feb 2020 02:39:00 +0200)
Subject: Re: bug#39706: 28.0.50; Search prefix nroff-mode
References: <87h7zkes1o.fsf@HIDDEN> <83sgj4js7w.fsf@HIDDEN>
 <87v9nykufh.fsf@HIDDEN> <837e0dib85.fsf@HIDDEN>
 <87zhd87vqh.fsf@HIDDEN> <83y2ssgdf6.fsf@HIDDEN>
 <8736azxzyz.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39706
Cc: 39706 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Juri Linkov <juri@HIDDEN>
> Cc: 39706 <at> debbugs.gnu.org
> Date: Tue, 25 Feb 2020 02:39:00 +0200
> 
> > Thanks.  I'm okay with the change, but I think it should be called out
> > in NEWS as an incompatible change, with an explanation why we did
> > that.
> 
> Pushed to master with NEWS and removed the task from admin/release-process.

Thanks.

> Not sure what to do with other remaining tasks in admin/release-process:
> 
> 1. Gnus binds 'M-s' to 'gnus-summary-search-article-forward'.
> 
> 2. Minibuffer binds 'M-s' to 'next-matching-history-element'
>    (not useful any more since C-s can now search in the history).
> 
> 3. PCL-CVS binds 'M-s' to 'cvs-status', and log-edit-mode binds it to
>    'log-edit-comment-search-forward'.  Perhaps search commands
>    on the global key binding 'M-s' are useless in these modes.
> 
> 4. Rmail binds '\es' to 'rmail-search'/'rmail-summary-search'.

IMO, only Gnus is popular enough to worry about.  Lars, any
suggestions?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39706; Package emacs. Full text available.

Message received at 39706 <at> debbugs.gnu.org:


Received: (at 39706) by debbugs.gnu.org; 25 Feb 2020 00:41:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 24 19:41:54 2020
Received: from localhost ([127.0.0.1]:54278 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j6OIM-00043W-0q
	for submit <at> debbugs.gnu.org; Mon, 24 Feb 2020 19:41:54 -0500
Received: from aye.elm.relay.mailchannels.net ([23.83.212.6]:17888)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1j6OIK-00043O-NN
 for 39706 <at> debbugs.gnu.org; Mon, 24 Feb 2020 19:41:53 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 84E65601308;
 Tue, 25 Feb 2020 00:41:51 +0000 (UTC)
Received: from pdx1-sub0-mail-a13.g.dreamhost.com
 (100-96-219-27.trex.outbound.svc.cluster.local [100.96.219.27])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 16FBB6011D0;
 Tue, 25 Feb 2020 00:41:51 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a13.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Tue, 25 Feb 2020 00:41:51 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Trade-Sponge: 3f9d53192c765312_1582591311319_1326887292
X-MC-Loop-Signature: 1582591311319:3261404914
X-MC-Ingress-Time: 1582591311319
Received: from pdx1-sub0-mail-a13.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a13.g.dreamhost.com (Postfix) with ESMTP id 753AB8CF3F;
 Mon, 24 Feb 2020 16:41:48 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type:content-transfer-encoding; s=linkov.net; bh=4yB0eC
 t47zFYzDNuGJJWR39+LHQ=; b=iF08GPHlYY4E8W49ceVek1wakjjfQLrzkxNKEJ
 tjpG4+zYQIF+VWWFLzHDvcPr11ZbZWtVs5nmgj2OF0OwfwBUUwn0dcPl4K9NY8BP
 0xiazsJ9wgkwfXugUzwWgjI0S7pHD/LgJL0C/9kBWQx+MmP+Bi56kJjYi+esHBFX
 YoSyo=
Received: from localhost.linkov.net (m91-129-103-27.cust.tele2.ee
 [91.129.103.27])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a13.g.dreamhost.com (Postfix) with ESMTPSA id F28B78D6BC;
 Mon, 24 Feb 2020 16:41:46 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a13
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39706: 28.0.50; Search prefix nroff-mode
Organization: LINKOV.NET
References: <87h7zkes1o.fsf@HIDDEN> <83sgj4js7w.fsf@HIDDEN>
 <87v9nykufh.fsf@HIDDEN> <837e0dib85.fsf@HIDDEN>
 <87zhd87vqh.fsf@HIDDEN> <83y2ssgdf6.fsf@HIDDEN>
Date: Tue, 25 Feb 2020 02:39:00 +0200
In-Reply-To: <83y2ssgdf6.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 24 Feb
 2020 18:25:49 +0200")
Message-ID: <8736azxzyz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrledugddvhecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtgfesthekredttderjeenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdefrddvjeenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehlohgtrghlhhhoshhtrdhlihhnkhhovhdrnhgvthdpihhnvghtpeeluddruddvledruddtfedrvdejpdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepvghlihiisehgnhhurdhorhhg
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39706
Cc: 39706 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> The solution already exists in text-mode from which nroff-mode inherit=
s:
>> text-mode binds =E2=80=98center-line=E2=80=99 to =E2=80=98M-o M-s=E2=80=
=99.  Thus just removing the
>> keybinding =E2=80=98M-s=E2=80=99 from nroff-mode will make the search =
prefix =E2=80=98M-s=E2=80=99
>> of search-map available in nroff-mode, whereas =E2=80=98M-o M-s=E2=80=99=
 will call
>> =E2=80=98center-line=E2=80=99 previously bound to =E2=80=98M-s=E2=80=99=
.
>
> Thanks.  I'm okay with the change, but I think it should be called out
> in NEWS as an incompatible change, with an explanation why we did
> that.

Pushed to master with NEWS and removed the task from admin/release-proces=
s.

Not sure what to do with other remaining tasks in admin/release-process:

1. Gnus binds 'M-s' to 'gnus-summary-search-article-forward'.

2. Minibuffer binds 'M-s' to 'next-matching-history-element'
   (not useful any more since C-s can now search in the history).

3. PCL-CVS binds 'M-s' to 'cvs-status', and log-edit-mode binds it to
   'log-edit-comment-search-forward'.  Perhaps search commands
   on the global key binding 'M-s' are useless in these modes.

4. Rmail binds '\es' to 'rmail-search'/'rmail-summary-search'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39706; Package emacs. Full text available.

Message received at 39706 <at> debbugs.gnu.org:


Received: (at 39706) by debbugs.gnu.org; 24 Feb 2020 16:25:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 24 11:25:59 2020
Received: from localhost ([127.0.0.1]:53985 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j6GYQ-00071P-Sb
	for submit <at> debbugs.gnu.org; Mon, 24 Feb 2020 11:25:59 -0500
Received: from eggs.gnu.org ([209.51.188.92]:53717)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j6GYP-00071B-7n
 for 39706 <at> debbugs.gnu.org; Mon, 24 Feb 2020 11:25:57 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57359)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j6GYJ-00054J-Oq; Mon, 24 Feb 2020 11:25:51 -0500
Received: from [176.228.60.248] (port=3064 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j6GYJ-0000w9-1T; Mon, 24 Feb 2020 11:25:51 -0500
Date: Mon, 24 Feb 2020 18:25:49 +0200
Message-Id: <83y2ssgdf6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-reply-to: <87zhd87vqh.fsf@HIDDEN> (message from Juri Linkov on
 Mon, 24 Feb 2020 01:02:46 +0200)
Subject: Re: bug#39706: 28.0.50; Search prefix nroff-mode
References: <87h7zkes1o.fsf@HIDDEN> <83sgj4js7w.fsf@HIDDEN>
 <87v9nykufh.fsf@HIDDEN> <837e0dib85.fsf@HIDDEN>
 <87zhd87vqh.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39706
Cc: 39706 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Juri Linkov <juri@HIDDEN>
> Cc: 39706 <at> debbugs.gnu.org
> Date: Mon, 24 Feb 2020 01:02:46 +0200
> 
> Sorry for an unclear bug report.  What I described earlier is the case
> that exposed the problem in nroff-mode.  The problem itself is that
> the global search prefix keymap ‘M-s’ (search-map) is shadowed
> in nroff-mode by a keybinding that bounds the same key ‘M-s’
> in nroff-mode-map to ‘center-line’.
> 
> The solution already exists in text-mode from which nroff-mode inherits:
> text-mode binds ‘center-line’ to ‘M-o M-s’.  Thus just removing the
> keybinding ‘M-s’ from nroff-mode will make the search prefix ‘M-s’
> of search-map available in nroff-mode, whereas ‘M-o M-s’ will call 
> ‘center-line’ previously bound to ‘M-s’.

Thanks.  I'm okay with the change, but I think it should be called out
in NEWS as an incompatible change, with an explanation why we did
that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39706; Package emacs. Full text available.

Message received at 39706 <at> debbugs.gnu.org:


Received: (at 39706) by debbugs.gnu.org; 23 Feb 2020 23:51:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 23 18:51:43 2020
Received: from localhost ([127.0.0.1]:51719 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j612F-00054r-L9
	for submit <at> debbugs.gnu.org; Sun, 23 Feb 2020 18:51:43 -0500
Received: from bongo.elm.relay.mailchannels.net ([23.83.212.21]:22032)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1j612D-00054j-Kn
 for 39706 <at> debbugs.gnu.org; Sun, 23 Feb 2020 18:51:42 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 29ABF501789;
 Sun, 23 Feb 2020 23:51:40 +0000 (UTC)
Received: from pdx1-sub0-mail-a7.g.dreamhost.com
 (100-96-217-5.trex.outbound.svc.cluster.local [100.96.217.5])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 98AAE501153;
 Sun, 23 Feb 2020 23:51:39 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a7.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Sun, 23 Feb 2020 23:51:40 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Cold-Share: 47af850c260fd1f6_1582501899865_85782647
X-MC-Loop-Signature: 1582501899865:914085058
X-MC-Ingress-Time: 1582501899865
Received: from pdx1-sub0-mail-a7.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a7.g.dreamhost.com (Postfix) with ESMTP id B8575B1948;
 Sun, 23 Feb 2020 15:51:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type:content-transfer-encoding; s=linkov.net; bh=vKp/YJ
 OgjyHT0k/JbT2GIfGJvcs=; b=0JDqOO5Burdg7AyhMatSD1f3KPdq5UH5mpMsi6
 m0c6O2Ssu2PCY9JurYrTroSbOj+k/i/OlZENPpB88hdb/LcX7G/aj/vM6uq5Xdex
 c4X3sACQCfk4OvxfkjAN91xB9eoQyXfPZX3rkcTuGGmb+5f6WV4LylnEB0Fmkebv
 V6ZjQ=
Received: from localhost.linkov.net (m91-129-103-27.cust.tele2.ee
 [91.129.103.27])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a7.g.dreamhost.com (Postfix) with ESMTPSA id 26A9FB195C;
 Sun, 23 Feb 2020 15:51:33 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a7
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39706: 28.0.50; Search prefix nroff-mode
Organization: LINKOV.NET
References: <87h7zkes1o.fsf@HIDDEN> <83sgj4js7w.fsf@HIDDEN>
 <87v9nykufh.fsf@HIDDEN> <837e0dib85.fsf@HIDDEN>
Date: Mon, 24 Feb 2020 01:02:46 +0200
In-Reply-To: <837e0dib85.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 23 Feb
 2020 17:18:02 +0200")
Message-ID: <87zhd87vqh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrkeelgdduiecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtgfesthekredttderjeenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdefrddvjeenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehlohgtrghlhhhoshhtrdhlihhnkhhovhdrnhgvthdpihhnvghtpeeluddruddvledruddtfedrvdejpdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepvghlihiisehgnhhurdhorhhg
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39706
Cc: 39706 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Could you perhaps describe the root cause again, this time focusing on
> the actual problem?  Your original description made me think the
> program was with log files, and nroff-mode just got in the way, but
> you seem to be talking about a genuine problem in nroff-mode.  What is
> that problem?

Sorry for an unclear bug report.  What I described earlier is the case
that exposed the problem in nroff-mode.  The problem itself is that
the global search prefix keymap =E2=80=98M-s=E2=80=99 (search-map) is sha=
dowed
in nroff-mode by a keybinding that bounds the same key =E2=80=98M-s=E2=80=
=99
in nroff-mode-map to =E2=80=98center-line=E2=80=99.

The solution already exists in text-mode from which nroff-mode inherits:
text-mode binds =E2=80=98center-line=E2=80=99 to =E2=80=98M-o M-s=E2=80=99=
.  Thus just removing the
keybinding =E2=80=98M-s=E2=80=99 from nroff-mode will make the search pre=
fix =E2=80=98M-s=E2=80=99
of search-map available in nroff-mode, whereas =E2=80=98M-o M-s=E2=80=99 =
will call=20
=E2=80=98center-line=E2=80=99 previously bound to =E2=80=98M-s=E2=80=99.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39706; Package emacs. Full text available.

Message received at 39706 <at> debbugs.gnu.org:


Received: (at 39706) by debbugs.gnu.org; 23 Feb 2020 15:18:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 23 10:18:15 2020
Received: from localhost ([127.0.0.1]:51465 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j5t1L-0006NA-5Q
	for submit <at> debbugs.gnu.org; Sun, 23 Feb 2020 10:18:15 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39112)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j5t1J-0006Mx-5j
 for 39706 <at> debbugs.gnu.org; Sun, 23 Feb 2020 10:18:13 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37571)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j5t1D-0007wq-MC; Sun, 23 Feb 2020 10:18:07 -0500
Received: from [176.228.60.248] (port=2975 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j5t1D-0007lW-1S; Sun, 23 Feb 2020 10:18:07 -0500
Date: Sun, 23 Feb 2020 17:18:02 +0200
Message-Id: <837e0dib85.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-reply-to: <87v9nykufh.fsf@HIDDEN> (message from Juri Linkov on
 Sun, 23 Feb 2020 02:40:18 +0200)
Subject: Re: bug#39706: 28.0.50; Search prefix nroff-mode
References: <87h7zkes1o.fsf@HIDDEN> <83sgj4js7w.fsf@HIDDEN>
 <87v9nykufh.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39706
Cc: 39706 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> From: Juri Linkov <juri@HIDDEN>
> Cc: 39706 <at> debbugs.gnu.org
> Date: Sun, 23 Feb 2020 02:40:18 +0200
> 
> The point of my bug report is that I accidentally discovered
> a problem in nroff-mode that otherwise I don't use.
> 
> > IOW, what you propose sounds like a very convoluted and indirect way
> > of fixing the problem you described, doesn't it?
> 
> The proposed patch fixes nroff-mode to make the search prefix available
> for users of nroff-mode.

Sounds like I've misunderstood your report.  Apologies.  Could you
perhaps describe the root cause again, this time focusing on the
actual problem?  Your original description made me think the program
was with log files, and nroff-mode just got in the way, but you seem
to be talking about a genuine problem in nroff-mode.  What is that
problem?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39706; Package emacs. Full text available.

Message received at 39706 <at> debbugs.gnu.org:


Received: (at 39706) by debbugs.gnu.org; 23 Feb 2020 00:45:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 22 19:45:03 2020
Received: from localhost ([127.0.0.1]:50271 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j5fOJ-0000A2-8B
	for submit <at> debbugs.gnu.org; Sat, 22 Feb 2020 19:45:03 -0500
Received: from aye.elm.relay.mailchannels.net ([23.83.212.6]:2285)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1j5fOC-00008p-2M
 for 39706 <at> debbugs.gnu.org; Sat, 22 Feb 2020 19:44:56 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id EBAB73C0FC6;
 Sun, 23 Feb 2020 00:44:54 +0000 (UTC)
Received: from pdx1-sub0-mail-a92.g.dreamhost.com
 (100-96-206-172.trex.outbound.svc.cluster.local [100.96.206.172])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 6BF363C0A9E;
 Sun, 23 Feb 2020 00:44:54 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a92.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Sun, 23 Feb 2020 00:44:54 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Shelf-Gusty: 2eaded4f50267645_1582418694655_3922229490
X-MC-Loop-Signature: 1582418694655:3294163146
X-MC-Ingress-Time: 1582418694654
Received: from pdx1-sub0-mail-a92.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a92.g.dreamhost.com (Postfix) with ESMTP id 538D97F1CA;
 Sat, 22 Feb 2020 16:44:51 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=M2971Yspv6E9j3YPLuEhkE5L1cY=; b=
 11xTeGZKHZVXIDOl9sQ2keHmYKC/ziL8xfjhdHtm5bEjmnfUsZ7ctVGT/R53rvW0
 ncTwjXw9bqBOxXjzBCm1Z57Df2U8JXDJydMSNrDbBouyqa5+Hii9EQWthWtYRBUT
 JnBt4zsap3zmytufPwTjdCMci5NNvfier6+Vm1MsKWs=
Received: from localhost.linkov.net (m91-129-103-27.cust.tele2.ee
 [91.129.103.27])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a92.g.dreamhost.com (Postfix) with ESMTPSA id 017C87F1C5;
 Sat, 22 Feb 2020 16:44:49 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a92
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39706: 28.0.50; Search prefix nroff-mode
Organization: LINKOV.NET
References: <87h7zkes1o.fsf@HIDDEN> <83sgj4js7w.fsf@HIDDEN>
Date: Sun, 23 Feb 2020 02:40:18 +0200
In-Reply-To: <83sgj4js7w.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 21 Feb
 2020 09:48:51 +0200")
Message-ID: <87v9nykufh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrkeejgddvudcutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtsehttdertddtredtnecuhfhrohhmpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqnecukfhppeeluddruddvledruddtfedrvdejnecuvehluhhsthgvrhfuihiivgepfeenucfrrghrrghmpehmohguvgepshhmthhppdhhvghloheplhhotggrlhhhohhsthdrlhhinhhkohhvrdhnvghtpdhinhgvthepledurdduvdelrddutdefrddvjedprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopegvlhhiiiesghhnuhdrohhrgh
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39706
Cc: 39706 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> Often logs files have numeric file extensions such as log.1, log.2, ...
>> thus visited in nroff-mode.  I don't care about the wrong mode since
>> they are visited in read-only anyway just for a quick peek.
>> 
>> But the problem is that nroff-mode steals the global prefix M-s
>> used to run search commands.
>> 
>> nroff-mode inherits from text-mode that puts 'center-line'
>> on the key 'M-o M-s', so this is what nroff-mode should use as well:
>
> Wouldn't it be more straight-forward and simple to add .log and .log.N
> to auto-mode-alist, thus preventing nroff-mode from usurping these
> files?

These files were some random files for my particular case.
I can customize auto-mode-alist to handle my use cases.

The point of my bug report is that I accidentally discovered
a problem in nroff-mode that otherwise I don't use.

> IOW, what you propose sounds like a very convoluted and indirect way
> of fixing the problem you described, doesn't it?

The proposed patch fixes nroff-mode to make the search prefix available
for users of nroff-mode.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39706; Package emacs. Full text available.

Message received at 39706 <at> debbugs.gnu.org:


Received: (at 39706) by debbugs.gnu.org; 21 Feb 2020 07:49:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 21 02:49:13 2020
Received: from localhost ([127.0.0.1]:46292 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j533h-0002BY-7B
	for submit <at> debbugs.gnu.org; Fri, 21 Feb 2020 02:49:13 -0500
Received: from eggs.gnu.org ([209.51.188.92]:48982)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j533f-0002BM-1i
 for 39706 <at> debbugs.gnu.org; Fri, 21 Feb 2020 02:49:12 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44503)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j533Y-0007fu-Hr; Fri, 21 Feb 2020 02:49:04 -0500
Received: from [176.228.60.248] (port=4420 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j533X-0000WL-TO; Fri, 21 Feb 2020 02:49:04 -0500
Date: Fri, 21 Feb 2020 09:48:51 +0200
Message-Id: <83sgj4js7w.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-reply-to: <87h7zkes1o.fsf@HIDDEN> (message from Juri Linkov on
 Fri, 21 Feb 2020 01:51:31 +0200)
Subject: Re: bug#39706: 28.0.50; Search prefix nroff-mode
References: <87h7zkes1o.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39706
Cc: 39706 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Juri Linkov <juri@HIDDEN>
> Date: Fri, 21 Feb 2020 01:51:31 +0200
> 
> Often logs files have numeric file extensions such as log.1, log.2, ...
> thus visited in nroff-mode.  I don't care about the wrong mode since
> they are visited in read-only anyway just for a quick peek.
> 
> But the problem is that nroff-mode steals the global prefix M-s
> used to run search commands.
> 
> nroff-mode inherits from text-mode that puts 'center-line'
> on the key 'M-o M-s', so this is what nroff-mode should use as well:

Wouldn't it be more straight-forward and simple to add .log and .log.N
to auto-mode-alist, thus preventing nroff-mode from usurping these
files?

IOW, what you propose sounds like a very convoluted and indirect way
of fixing the problem you described, doesn't it?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39706; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Feb 2020 00:10:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 20 19:10:48 2020
Received: from localhost ([127.0.0.1]:46125 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4vu3-0005Bl-Q8
	for submit <at> debbugs.gnu.org; Thu, 20 Feb 2020 19:10:48 -0500
Received: from lists.gnu.org ([209.51.188.17]:38292)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1j4vu1-0005Bd-Np
 for submit <at> debbugs.gnu.org; Thu, 20 Feb 2020 19:10:45 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:60982)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <juri@HIDDEN>) id 1j4vu0-00088e-Np
 for bug-gnu-emacs@HIDDEN; Thu, 20 Feb 2020 19:10:45 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <juri@HIDDEN>) id 1j4vtz-0007M2-Oo
 for bug-gnu-emacs@HIDDEN; Thu, 20 Feb 2020 19:10:44 -0500
Received: from crocodile.birch.relay.mailchannels.net ([23.83.209.45]:40314)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <juri@HIDDEN>) id 1j4vtz-0007L3-G9
 for bug-gnu-emacs@HIDDEN; Thu, 20 Feb 2020 19:10:43 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 5539F540A89
 for <bug-gnu-emacs@HIDDEN>; Fri, 21 Feb 2020 00:10:42 +0000 (UTC)
Received: from pdx1-sub0-mail-a86.g.dreamhost.com
 (100-96-0-6.trex.outbound.svc.cluster.local [100.96.0.6])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id E231D540704
 for <bug-gnu-emacs@HIDDEN>; Fri, 21 Feb 2020 00:10:41 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a86.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Fri, 21 Feb 2020 00:10:42 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Abaft-Cold: 58db32b45508c0ee_1582243842133_651107675
X-MC-Loop-Signature: 1582243842133:3663383264
X-MC-Ingress-Time: 1582243842133
Received: from pdx1-sub0-mail-a86.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a86.g.dreamhost.com (Postfix) with ESMTP id 37E027EF6F
 for <bug-gnu-emacs@HIDDEN>; Thu, 20 Feb 2020 16:10:38 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to
 :subject:date:message-id:mime-version:content-type; s=
 linkov.net; bh=DBUY1TmBVc4w9RMIOxVP1BuujIA=; b=I+jrI7F+s2qvXG7Ul
 SQWViSXktWnZKg4boWYFueY0NtGfK5+uQxU4sflpsAGCSifLKjaThBzt+Xiaj1Mp
 tBgY6dSWAll6/wF59wumh3NWhppM1gS+tlUu5Ohippf2wSTD16MNW01IEbZi590p
 hfY9ekcsctL9Z65WYuhz53Kdpg=
Received: from localhost.linkov.net (m91-129-103-27.cust.tele2.ee
 [91.129.103.27])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a86.g.dreamhost.com (Postfix) with ESMTPSA id F2E277F000
 for <bug-gnu-emacs@HIDDEN>; Thu, 20 Feb 2020 16:10:36 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a86
From: Juri Linkov <juri@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Search prefix nroff-mode
Organization: LINKOV.NET
Date: Fri, 21 Feb 2020 01:51:31 +0200
Message-ID: <87h7zkes1o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: 0
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrkeefgddvtdcutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecunecujfgurhephffvufhofffkfgggtgesthdtredttdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdefrddvjeenucevlhhushhtvghrufhiiigvpedunecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehlohgtrghlhhhoshhtrdhlihhnkhhovhdrnhgvthdpihhnvghtpeeluddruddvledruddtfedrvdejpdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepsghughdqghhnuhdqvghmrggtshesghhnuhdrohhrgh
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 23.83.209.45
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Tags: patch

Often logs files have numeric file extensions such as log.1, log.2, ...
thus visited in nroff-mode.  I don't care about the wrong mode since
they are visited in read-only anyway just for a quick peek.

But the problem is that nroff-mode steals the global prefix M-s
used to run search commands.

nroff-mode inherits from text-mode that puts 'center-line'
on the key 'M-o M-s', so this is what nroff-mode should use as well:

diff --git a/lisp/textmodes/nroff-mode.el b/lisp/textmodes/nroff-mode.el
index 62e8b1f093..99e144d215 100644
--- a/lisp/textmodes/nroff-mode.el
+++ b/lisp/textmodes/nroff-mode.el
@@ -50,7 +50,8 @@ nroff-mode-map
   (let ((map (make-sparse-keymap))
 	(menu-map (make-sparse-keymap)))
     (define-key map "\t"  'tab-to-tab-stop)
-    (define-key map "\es" 'center-line)
+    ;; Should use 'M-o M-s' from text-mode
+    ;; (define-key map "\es" 'center-line)
     (define-key map "\e?" 'nroff-count-text-lines)
     (define-key map "\n"  'nroff-electric-newline)
     (define-key map "\en" 'nroff-forward-text-line)




Acknowledgement sent to Juri Linkov <juri@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#39706; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 14 Mar 2020 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.